반응형

apt-get upgrade 를 실행하던 와중에 아래와 같은 오류가 발생하며 더이상 upgrade가 진행되지 않았다.

동시에 같이 upgrade 가 수행되던 mysql 서버도 같이 정지되버렸다.. 

 

 

먼저, 다른 정상적 업그레이드가 가능한 패키지들은 먼저 처리를 해준다.

# sudo dpkg --configure -a

MySQL 서버가 다시 정상적으로 실행이 되었다. 이제 문제가 발생한 패키지를 복구해준다.

apt-get remove 나 purge 를 시도했지만 의존성 문제만 나오며 제거가 되지 않는다. 

아래 처럼 시도하여 강제로 패키지를 제거해주었다. 그리고 python3.7를 재설치 해주었다.

# sudo dpkg --remove --force-remove-reinstreq python3.7
# sudo dpkg --remove --force-remove-reinstreq libpython3.7-stdlib
# sudo apt-get clean
# sudo apt-get autoremove
# sudo apt-get install python3.7

 

해결완료.

반응형

+ Recent posts